DCDIRMK(1)

NAME
dcdirmk - ACR/NEMA DICOM PS3 ... DICOM PS3 - Create DICOMDIR

SYNOPSIS

dcdirmk " inputfile1 [ inputfile2 ... ]" [ -v|verbose|vv|veryverbose ] [ -l ] [ -noicons ] [ -position ] [ -novalidatename ] [ -noinstancechildoffset ] [ -descriptor|-readme filename ] [ -identifier|-id filesetid ] [ -dirrecorder pcs|psc|scp|spc|csp|cps ] [ -input-nometa ] [ -input-ts uid ] [ -input-default ] [ -input-byteorder|-input-endian big|little ] [ -input-vr implicit|explicit ] [ -f|-filelist filename ]

DESCRIPTION

dcdirmk reads the named dicom input files (and/or the files listed in the specified file), extracts patient, study, series and image information, and creates a DICOMDIR file as output.

Note that it is the user's responsibility to ensure that the filenames of the input files, which will be written to the output DICOMDIR, comply with the limitations specified in PS 3.10, specifically all upper case or numbers or underscore, 8 characters per component, and no more than 8 components.

The input encoding of the file will be automatically determined, or can be explicitly specified in pathological cases using the input options described in dcintro(1).

The output encoding of the file be the default for the DICOMDIR but can be overridden, though this is very unlikely to be useful.

Icon images are derived from the image pixel data.

Since some attributes are mandatory in the directory records that may be zero-length in image objects, a meagre effort is made to fill them with defaults. Specifically, 19000101 will be used for the Study Date if missing, 000000 will be used for the Study Time if missing, the Study Date (or 19000101) will be used for the Study ID if missing, the value 0 will be used for Series Number if missing, the value NOPATIENTID will be used for Patient ID if missing and the value Nobody^ will be used for Patient Name if missing.

OPTIONS
The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-v|verbose
    Display all attributes in each directory record, once the directory is built.

-vv|veryverbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read, and various intermediate data structures, and calculations as the directory is built.

-l
    List filenames as they are read.

-descriptor|readme filename
    Insert a reference to the specified file as the File-set Descriptor File ID.

-identifier|id filesetid
    Specify a value for the File-set ID which otherwise defaults to null.

-noicons
    Don't insert icon images. The default is to insert them.

-position
    Add positioning and referenced image attributes to image directory record to facilitate posting of localizer from the directory only.

-novalidatename
    Don't validate image filenames. The default is to validate them.

-noinstancechildoffset
    Do not include the Offset of Referenced Lower-Level Directory Entity (0004,1420) for instance-level records (which have no children). Use of this option will create illegal DICOMDIR files that are useful for testing the defensiveness of DICOMDIR readers in this regard. The default is to include the attribute with a value of 0, as the standard requires.

-dirrecorder pcs|psc|scp|spc|csp|cps
    Order directory records in a particular way. Argument is abbreviation for "parent", "child" and "sibling" order. Used for creating DICOMDIRs to exercise various parser's implict assumptions about order of offset pointers.

-f|filelist filename
    A file containing a list of DICOM input files (one filename per line).

ENVIRONMENT

EXAMPLES

% dcdirmk IMAGES/[0-9]* >DICOMDIR
% dcdirdmp DICOMDIR
PATIENT Patient 3 000003
 STUDY 000003 19940517 112213 BRAIN
  SERIES 3 MR
   IMAGE 3
   -> IMAGES3333
   IMAGE 2
   -> IMAGES3332
   IMAGE 1
   -> IMAGES3331
  SERIES 2 MR
 ...

FILES

SEE ALSO
dcintro(1), dcdirdmp(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

The approach to making the icon image is make everything 8 bit, and use the first "plane" as is regardless of whether it is color or indexed (or even worse, interleaved). This will work really well for MONOCHROME2 images where BitsStored is not much bigger than the real maximum and the PixelRepresentaion is unsigned !

Output of icon images in implicit VR will fail.